<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$current_lang = get_locale();

?>
<div class="cs-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">
    <div class="container container-clear">
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( 'Small bar or popup', 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'This text is used when "small bar" or "small popup" are selected', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body" style="display: none;">
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_text_in_small_bar_popup', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_text_in_small_bar_popup', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="sub-card">
                    <div class="sub-card-header">
                        <div class="row">
                            <div class="col">
	                            <?php render_additional_lang_button( 'Small bar or popup' ); ?>
                            </div>

                            <div class="col-2 right-aligned">
                                <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                        data-option-type="0"
                                        data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                        data-key="cs_text_in_small_bar_popup"
                                        data-render="renderWpEditor">
									<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                </button>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card-body" style="display: none;">
	                    <?php render_lang_loader(); ?>
						<?php echo render_hidden_checkbox( 'cs_text_in_small_bar_popup_language_control', 0, 'cs_input_language_control' ); ?>
                        <div class="language_list"></div>
                        <div class="add_new_lang_wrap">
	                        <?php render_add_lang_button( 'cs_text_in_small_bar_popup', 'renderWpEditor' ); ?>
                            <div style="display: none" class="add_new_lang">
                                <div class="cart_line_item">
                                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_text_in_small_bar_popup', false, 'renderWpEditor', false, '250px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row cs_data_render_buttons">
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( 'Large bar or popup', 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'This text is used when "large bar" or "large popup" are selected', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body" style="display: none;">
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_text_in_large_bar_popup', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_text_in_large_bar_popup', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="sub-card">
                    <div class="sub-card-header">
                        <div class="row">
                            <div class="col">
	                            <?php render_additional_lang_button( 'Large bar or popup' ); ?>
                            </div>

                            <div class="col-2 right-aligned">
                                <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                        data-option-type="0"
                                        data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                        data-key="cs_text_in_large_bar_popup"
                                        data-render="renderWpEditor">
									<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                </button>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card-body" style="display: none;">
	                    <?php render_lang_loader(); ?>
						<?php echo render_hidden_checkbox( 'cs_text_in_large_bar_popup_language_control', 0, 'cs_input_language_control' ); ?>
                        <div class="language_list"></div>
                        <div class="add_new_lang_wrap">
	                        <?php render_add_lang_button( 'cs_text_in_large_bar_popup', 'renderWpEditor' ); ?>
                            <div style="display: none" class="add_new_lang">
                                <div class="cart_line_item">
                                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_text_in_large_bar_popup', false, 'renderWpEditor', false, '250px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row cs_data_render_buttons">
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( "Button's text", 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'This text is used on buttons on all types of bars and popups.', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body" style="display: none;">
				<?php
				render_text_input_box( 'cs_btn_text_allow_all', __( 'Allow all', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_custom_button', __( 'Custom button', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_disable_all', __( 'Disable all', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_customize', __( 'Customize', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_privacy_cookie', __( 'Privacy & Cookies', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_sticky_cookie', __( 'Sticky', 'consent-magic' ), $current_lang );
				?>

                <div class="row cs_data_render_buttons">
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3><?php esc_html_e( 'Options popups', 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'Customize the content of the options popup.', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>
			<?php
			$attr_value = ConsentMagic()->getLangOption( 'cs_text_in_options_popup', $current_lang );
			if ( empty( $attr_value ) ) {
				$display_lang = CMPRO_DEFAULT_LANGUAGE;
			} else {
				$display_lang = $current_lang;
			}
			?>
            <div class="card-body" style="display: none;">
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_text_in_options_popup', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
	                                <?php render_additional_lang_button( 'Options popups' ); ?>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_text_in_options_popup"
                                            data-render="renderWpEditor">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <?php render_lang_loader(); ?>
							<?php echo render_hidden_checkbox( 'cs_text_in_options_popup_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
	                            <?php render_add_lang_button( 'cs_text_in_options_popup', 'renderWpEditor' ); ?>
                                <div style="display: none" class="add_new_lang">
                                    <div class="cart_line_item">
                                        <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                            <div class="col-1 cs-delete-lang-wrap">
                                                <span class="icon-minus cs-delete-lang"></span>
                                            </div>

                                            <div class="col-11">
                                                <div class="row input_row cs_data_render">
                                                </div>
                                                <div class="row cs_data_render_buttons">
													<?php renderSelectLanguagesNew( false, 'cs_text_in_options_popup', false, 'renderWpEditor', false, '250px' ); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

				<?php
				render_text_input_box( 'cs_title_in_options_popup', __( 'Title', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_subtitle_in_options_popup', __( 'Subtitle', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_allow_all_in_options_popup', __( 'Allow all', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_disable_all_in_options_popup', __( 'Disable all', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_confirm_in_options_popup', __( 'Confirm my choices', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_always_on_in_options_popup', __( 'Always ON', 'consent-magic' ), $current_lang );
				?>

                <div class="row cs_data_render_buttons">
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( 'Single-step', 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'Customize the content of the Single-step.', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>
			<?php
			$attr_value = ConsentMagic()->getLangOption( 'cs_text_in_single_design', $current_lang );
			if ( empty( $attr_value ) ) {
				$display_lang = CMPRO_DEFAULT_LANGUAGE;
			} else {
				$display_lang = $current_lang;
			}
			?>
            <div class="card-body" style="display: none;">
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_text_in_single_design', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
	                                <?php render_additional_lang_button( 'Options popups' ); ?>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_text_in_single_design"
                                            data-render="renderWpEditor">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
	                        <?php render_lang_loader(); ?>
							<?php echo render_hidden_checkbox( 'cs_text_in_single_design_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
	                            <?php render_add_lang_button( 'cs_text_in_single_design', 'renderWpEditor' ); ?>
                                <div style="display: none" class="add_new_lang">
                                    <div class="cart_line_item">
                                        <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                            <div class="col-1 cs-delete-lang-wrap">
                                                <span class="icon-minus cs-delete-lang"></span>
                                            </div>

                                            <div class="col-11">
                                                <div class="row input_row cs_data_render">
                                                </div>
                                                <div class="row cs_data_render_buttons">
													<?php renderSelectLanguagesNew( false, 'cs_text_in_single_design', false, 'renderWpEditor', false, '250px' ); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

				<?php
				render_text_input_box( 'cs_title_in_single_design', __( 'Title', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_subtitle_in_single_design', __( 'Subtitle', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_allow_all_in_single_design', __( 'Allow all', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_disable_all_in_single_design', __( 'Disable all', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_confirm_in_single_design', __( 'Confirm my choices', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_btn_text_custom_button_in_single_design', __( 'Custom button', 'consent-magic' ), $current_lang );
				render_text_input_box( 'cs_always_on_in_single_design', __( 'Always ON', 'consent-magic' ), $current_lang );
				?>

                <div class="row cs_data_render_buttons">
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>
        <!--        Accept video content text-->
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3><?php esc_html_e( 'Video consent message', 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'This text is used in video instead of video content.', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>
			<?php
			$attr_value = ConsentMagic()->getLangOption( 'cs_video_consent_general_text', $current_lang );
			if ( empty( $attr_value ) ) {
				$display_lang = CMPRO_DEFAULT_LANGUAGE;
			} else {
				$display_lang = $current_lang;
			}
			?>
            <div class="card-body" style="display: none;">
                <div class="label_row">
                    <h4><?php esc_html_e( 'General text', 'consent-magic' ); ?></h4>
                </div>

                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_video_consent_general_text', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
	                                <?php render_additional_lang_button( 'General text' ); ?>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_video_consent_general_text"
                                            data-render="renderWpEditor">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
	                        <?php render_lang_loader(); ?>
							<?php echo render_hidden_checkbox( 'cs_video_consent_general_text_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
	                            <?php render_add_lang_button( 'cs_video_consent_general_text', 'renderWpEditor' ); ?>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_editor">
                                            <div class="col-12">
                                                <div class="row input_row cs_data_render">
                                                </div>
                                                <div class="row cs_data_render_buttons">
													<?php renderSelectLanguagesNew( false, 'cs_video_consent_general_text', false, 'renderWpEditor', false, '250px' ); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_video_consent_rule_text', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="label_row">
                    <h4><?php esc_html_e( 'Rule text', 'consent-magic' ); ?></h4>
                </div>

                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_video_consent_rule_text', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
	                                <?php render_additional_lang_button( 'Rule text' ); ?>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_video_consent_rule_text"
                                            data-render="renderWpEditor">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
	                        <?php render_lang_loader(); ?>
							<?php echo render_hidden_checkbox( 'cs_video_consent_rule_text_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
	                            <?php render_add_lang_button( 'cs_video_consent_rule_text', 'renderWpEditor' ); ?>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_editor">
                                            <div class="col-12">
                                                <div class="row input_row cs_data_render">
                                                </div>
                                                <div class="row cs_data_render_buttons">
													<?php renderSelectLanguagesNew( false, 'cs_video_consent_rule_text', false, 'renderWpEditor', false, '250px' ); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div>
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>

        <!--IAB texts-->
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3 class="card_title"><?php esc_html_e( 'IAB', 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'This text is used in IAB consent content.', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body pb-20" style="display: none;">
				<?php esc_html_e( 'Due to the strict requirements by IAB regarding the consent text show to users, is not possible to edit the text for the IAB rule.', 'consent-magic' ); ?>
            </div>
        </div>
    </div>
</div>