<?php
namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

require_once CMPRO_PLUGIN_VIEWS_PATH . "admin/license/html-license-information.php";

?>

<div class="wrap cs-wrap">
    <div class="cs_preview_container">
        <form action="options.php" method="post">
            <div class="main">
                <h2 class="wp-heading-inline"><?php esc_html_e( 'Manage your ConsentMagic Pro license:', 'consent-magic' ); ?></h2>
                <div class="cs-tab-content" style="display: block;">
                    <div class="container">
                        <div class="row align-items-center">
							<?php
							if ( get_option( 'edd_consent_magic_pro_activated' ) == 'Canceled' ) {
								?>
								<?php settings_fields( $this->admin->edd_deactivate_checkbox_key ); ?>

                                <?php render_edd_license_information( 'Canceled' ); ?>

								<?php
							} else {
								settings_fields( $this->admin->edd_deactivate_checkbox_key );
								if ( get_option( 'edd_consent_magic_pro_activated' ) == 'Activated' || get_option( 'edd_consent_magic_pro_activated' ) == 'Expired' ) {

									render_edd_license_information( 'Activated' );

								} else {
									settings_fields( $this->admin->data_key );
									?>
                                    <div class="col-12">
                                        <div class="row align-items-center">
                                            <div class="col-3">
                                                <h4 class="indicator-label"
                                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Plugin version:', 'consent-magic' ); ?></h4>
                                            </div>

                                            <div class="col-9">
                                                <span class="settings_option"><?php echo CMPRO_LATEST_VERSION_NUMBER; ?></span>
                                            </div>

                                            <div class="col-3">
                                                <h4 class="indicator-label"
                                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License name:', 'consent-magic' ); ?></h4>
                                            </div>

                                            <div class="col-9">
                                            <span class="settings_option"><span
                                                        class="settings_option"><?php echo CMPRO_LICENSE_NAME; ?></span></span>
                                            </div>

                                            <div class="col-3">
                                                <h4 class="indicator-label"
                                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License type:', 'consent-magic' ); ?></h4>
                                            </div>

                                            <div class="col-9">
                                            <span class="settings_option"><span class="settings_option"
                                                                                style="text-transform: uppercase;"><?php echo CMPRO_LICENSE_TYPE; ?></span><span
                                                        class="settings_option"><?php esc_html_e( ' License', 'consent-magic' ); ?></span></span>
                                            </div>

                                            <div class="col-3">
                                                <h4 class="indicator-label"
                                                    style="margin-bottom: 0;"><?php esc_html_e( 'Your license key:', 'consent-magic' ); ?></h4>
                                            </div>

                                            <div class="col full-width-input">
                                                <input id="api_key"
                                                       name="edd_consent_magic_pro[edd_consent_magic_pro_api_key]"
                                                       size="25"
                                                       type="text" value="">
                                            </div>

                                            <div class="col-12" style="margin-bottom: 25px;">
                                                <p style="font-size: 16px;">
													<?php esc_html_e( 'You have your license key in the order confirmation email, and you can get it from ', 'consent-magic' ); ?>
                                                    <a href="<?php echo esc_url( 'https://www.pixelyoursite.com/my-account' ); ?>"
                                                       rel="nofollow"
                                                       style="text-transform: none;"
                                                       target="_blank"><?php esc_html_e( 'your account', 'consent-magic' ); ?></a>
													<?php esc_html_e( ' on our website. We also sent you an email containing your login data.', 'consent-magic' ); ?>
                                                </p>
                                            </div>
                                        </div>
                                    </div>

                                    <p class="submit col-12">
                                        <input type="submit" name="submit" id="submit" class="btn btn-blue"
                                               value="Activate">
                                    </p>

                                    <p>
										<?php esc_html_e( 'If your don\'t have key, you can take it from', 'consent-magic' ); ?>
                                        <a href="<?php echo esc_url( 'https://www.pixelyoursite.com/my-account' ); ?>"
                                           rel="nofollow"
                                           target="_blank"><?php esc_html_e( 'here', 'consent-magic' ); ?></a>
                                    </p>
									<?php
								}
							}
							?>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>